/*! 
    \file key_mapper.h
    \brief a construct to map player defined keys to SDL keys

*/

#ifndef _KEY_MAPPER_H
#define _KEY_MAPPER_H


#include "base_object.h"
#include "event_def.h"


//! The map class functionalities
class KeyMapper : public BaseObject {

 public:
  KeyMapper();
  virtual ~KeyMapper();

  void loadKeyBindings(const char* fileName);

 private:
  int* nameToIndex (char* name);

 public:
  static int PEV_UP;
  static int PEV_DOWN;
  static int PEV_LEFT;
  static int PEV_RIGHT;
  
  static int PEV_STRAFE_LEFT;
  static int PEV_STRAFE_RIGHT;
  
  static int PEV_FIRE1;
  static int PEV_FIRE2;

  static int PEV_VIEW1;
  static int PEV_VIEW2;
  static int PEV_VIEW3;
  static int PEV_VIEW4;

 private:
  KeyBindings* keyAliases;
};

#endif /* _KEY_MAPPER_H */
